Bug 890800 - [RHEVM-CLI]: adding to help message location of .rhevmshellrc and help for it
[RHEVM-CLI]: adding to help message location of .rhevmshellrc and help for it
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Michael Pasternak
Ilia Meerovich
: 890802 (view as bug list)
Depends On:
Blocks: 915537
  Show dependency treegraph
Reported: 2012-12-30 04:14 EST by Ilia Meerovich
Modified: 2016-02-10 14:02 EST (History)
9 users (show)

See Also:
Fixed In Version: SF4
Doc Type: Enhancement
Doc Text:
If the user did not know the name or path of the CLI configuration file .rhevmshellrc it was difficult to locate. Information detailing the name and path of the configuration file has been added to the main help in the RHEVM shell.
Story Points: ---
Clone Of:
Last Closed: 2013-06-10 16:30:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10680 None None None Never

  None (edit)
Description Ilia Meerovich 2012-12-30 04:14:35 EST
For now user cannot know what is the name and path of cli configuration file.
It will ease user's life to add it to rhevm-shell basic help (rhevm-shell -h).
Also it could be useful to add short description of it to help message.
Comment 1 Michael Pasternak 2013-01-02 05:36:43 EST
*** Bug 890802 has been marked as a duplicate of this bug. ***
Comment 2 Michael Pasternak 2013-01-06 07:58:31 EST

added under main help in shell, dan please document it in cli guide as well.

Comment 3 Ilia Meerovich 2013-02-05 04:43:38 EST
[imeerovi@imeerovi ART]$ /usr/bin/rhevm-shell -c --url=https://leonid_rhevm.qa.lab.tlv.redhat.com:443/api/ -u admin@internal -I

 >>> connected to RHEVM manager <<<

           Welcome to RHEVM shell
[RHEVM shell (connected)]# help

  Welcome to RHEVM-shell. This program is an interactive command-line
  interface into RHEVM Virtualization. You can type any command in 
  the interface below.
    * action           execute an action on an object
    * add              creates a new object or adds existent
    * clear            clear the screen
    * connect          connect to a oVirt manager
    * console          open a console to a VM
    * disconnect       disconnect from oVirt manager
    * exit             quit this interactive terminal
    * help             show help
    * history          displaying commands history
    * info             shows environment and application components info
    * list             list or search objects
    * ping             test the connection
    * remove           removes an object
    * show             show one object
    * status           shows status and connection info
    * update           update an object
  Type 'help <command>' for any of these commands to show detailed help.
  The first command you probably want to issue is 'help connect' to
  learn how to connect to a oVirt manager.
  The general format for each command is:
    help <command> <command attributes> [command options]
  If arguments contain spaces or other reserved characters, you need to
  quote them. You can use single (') and double (") quotes for this. The
  difference between single and double quotes is that within single
  quotes you can't use any single quotes, while in double quotes you can
  use a double quote provided that you escape it with backslash ('\').
  Options are always in the long form: --option [value]. The value can
  be optional or mandatory, depending on the command, see command help
  for details.
  In addition to the basic command form, the following functionality is
    * You can use the '<', '<<', '>' and '>>' characters to perform
      shell-like redirections to files in the file system.
    * The output of any command can be piped to a shell command with
      the '|' character.
    * Shell commands can be executed by typing a '!' or 'shell' at the 
      beginning of a line.
    * Comments start with '#' and end at the end of a line.
  See 'SUPPORTED HELP FORMATS' section under each command help.
  RHEVM-Shell can be configured with configuration file, configuration file
  ( ~/.rhevmshellrc) automatically created under your home directory (if not exist)
  during the first shell execution.
Comment 4 errata-xmlrpc 2013-06-10 16:30:10 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.